G_BEGIN_DECLS

typedef void (*mc_cli_account_signal_callback_removed) (TpProxy *proxy,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *mc_cli_account_connect_to_removed (gpointer proxy,
    mc_cli_account_signal_callback_removed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*mc_cli_account_signal_callback_account_property_changed) (TpProxy *proxy,
    GHashTable *arg_Properties,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *mc_cli_account_connect_to_account_property_changed (gpointer proxy,
    mc_cli_account_signal_callback_account_property_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*mc_cli_account_callback_for_remove) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *mc_cli_account_call_remove (gpointer proxy,
    gint timeout_ms,
    mc_cli_account_callback_for_remove callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*mc_cli_account_callback_for_update_parameters) (TpProxy *proxy,
    const gchar **out_Reconnect_Required,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *mc_cli_account_call_update_parameters (gpointer proxy,
    gint timeout_ms,
    GHashTable *in_Set,
    const gchar **in_Unset,
    mc_cli_account_callback_for_update_parameters callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*mc_cli_account_callback_for_reconnect) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *mc_cli_account_call_reconnect (gpointer proxy,
    gint timeout_ms,
    mc_cli_account_callback_for_reconnect callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*mc_cli_account_interface_avatar_signal_callback_avatar_changed) (TpProxy *proxy,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *mc_cli_account_interface_avatar_connect_to_avatar_changed (gpointer proxy,
    mc_cli_account_interface_avatar_signal_callback_avatar_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*mc_cli_account_interface_channelrequests_signal_callback_failed) (TpProxy *proxy,
    const gchar *arg_Request,
    const gchar *arg_Error,
    const gchar *arg_Message,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *mc_cli_account_interface_channelrequests_connect_to_failed (gpointer proxy,
    mc_cli_account_interface_channelrequests_signal_callback_failed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*mc_cli_account_interface_channelrequests_signal_callback_succeeded) (TpProxy *proxy,
    const gchar *arg_Request,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *mc_cli_account_interface_channelrequests_connect_to_succeeded (gpointer proxy,
    mc_cli_account_interface_channelrequests_signal_callback_succeeded callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*mc_cli_account_interface_channelrequests_callback_for_create) (TpProxy *proxy,
    const gchar *out_Request,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *mc_cli_account_interface_channelrequests_call_create (gpointer proxy,
    gint timeout_ms,
    GHashTable *in_Requested_Properties,
    guint64 in_User_Action_Time,
    const gchar *in_Preferred_Handler,
    mc_cli_account_interface_channelrequests_callback_for_create callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*mc_cli_account_interface_channelrequests_callback_for_ensure_channel) (TpProxy *proxy,
    const gchar *out_Request,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *mc_cli_account_interface_channelrequests_call_ensure_channel (gpointer proxy,
    gint timeout_ms,
    GHashTable *in_Requested_Properties,
    guint64 in_User_Action_Time,
    const gchar *in_Preferred_Handler,
    mc_cli_account_interface_channelrequests_callback_for_ensure_channel callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*mc_cli_account_interface_channelrequests_callback_for_cancel) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *mc_cli_account_interface_channelrequests_call_cancel (gpointer proxy,
    gint timeout_ms,
    const gchar *in_Request,
    mc_cli_account_interface_channelrequests_callback_for_cancel callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*mc_cli_account_interface_compat_signal_callback_compat_property_changed) (TpProxy *proxy,
    GHashTable *arg_Properties,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *mc_cli_account_interface_compat_connect_to_compat_property_changed (gpointer proxy,
    mc_cli_account_interface_compat_signal_callback_compat_property_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

typedef void (*mc_cli_account_interface_compat_callback_for_set_has_been_online) (TpProxy *proxy,
    const GError *error, gpointer user_data,
    GObject *weak_object);

TpProxyPendingCall *mc_cli_account_interface_compat_call_set_has_been_online (gpointer proxy,
    gint timeout_ms,
    mc_cli_account_interface_compat_callback_for_set_has_been_online callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object);


typedef void (*mc_cli_account_interface_stats_signal_callback_stats_changed) (TpProxy *proxy,
    GHashTable *arg_Properties,
    gpointer user_data, GObject *weak_object);
TpProxySignalConnection *mc_cli_account_interface_stats_connect_to_stats_changed (gpointer proxy,
    mc_cli_account_interface_stats_signal_callback_stats_changed callback,
    gpointer user_data,
    GDestroyNotify destroy,
    GObject *weak_object,
    GError **error);

G_END_DECLS
